## GtkButtonBox

GtkButtonBox

## Functions

#define | gtk_button_box_get_spacing()
GtkButtonBoxStyle | gtk_button_box_get_layout ()
void | gtk_button_box_get_child_size ()
void | gtk_button_box_get_child_ipadding ()
gboolean | gtk_button_box_get_child_secondary ()
#define | gtk_button_box_set_spacing()
void | gtk_button_box_set_layout ()
void | gtk_button_box_set_child_size ()
void | gtk_button_box_set_child_ipadding ()
void | gtk_button_box_set_child_secondary ()

## Properties

GtkButtonBoxStyle | layout-style | Read / Write

## Child Properties

gboolean | secondary | Read / Write

## Style Properties

int | child-internal-pad-x | Read
int | child-internal-pad-y | Read
int | child-min-height | Read
int | child-min-width | Read

## Types and Values

struct | GtkButtonBox
#define | GTK_BUTTONBOX_DEFAULT

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GtkButtonBox
                                ├── GtkHButtonBox
                                ╰── GtkVButtonBox

## Implemented Interfaces

GtkButtonBox implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_button_box_get_spacing()

    #define gtk_button_box_get_spacing(b)   gtk_box_get_spacing (GTK_BOX (b))

`gtk_button_box_get_spacing` is deprecated and should not be used in newly-written code.

### gtk_button_box_get_layout ()

    GtkButtonBoxStyle
    gtk_button_box_get_layout (GtkButtonBox *widget);

### gtk_button_box_get_child_size ()

    void
    gtk_button_box_get_child_size (GtkButtonBox *widget,
                                   gint *min_width,
                                   gint *min_height);

`gtk_button_box_get_child_size` is deprecated and should not be used in newly-written code.

### gtk_button_box_get_child_ipadding ()

    void
    gtk_button_box_get_child_ipadding (GtkButtonBox *widget,
                                       gint *ipad_x,
                                       gint *ipad_y);

`gtk_button_box_get_child_ipadding` is deprecated and should not be used in newly-written code.

### gtk_button_box_get_child_secondary ()

    gboolean
    gtk_button_box_get_child_secondary (GtkButtonBox *widget,
                                        GtkWidget *child);

Returns whether `child` should appear in a secondary group of children.

#### Parameters

widget | a GtkButtonBox |
child | a child of `widget` |

#### Returns

whether `child` should appear in a secondary group of children.

Since: 2.4

### gtk_button_box_set_spacing()

    #define gtk_button_box_set_spacing(b,s) gtk_box_set_spacing (GTK_BOX (b), s)

`gtk_button_box_set_spacing` is deprecated and should not be used in newly-written code.

### gtk_button_box_set_layout ()

    void
    gtk_button_box_set_layout (GtkButtonBox *widget,
                               GtkButtonBoxStyle layout_style);

### gtk_button_box_set_child_size ()

    void
    gtk_button_box_set_child_size (GtkButtonBox *widget,
                                   gint min_width,
                                   gint min_height);

`gtk_button_box_set_child_size` is deprecated and should not be used in newly-written code.

### gtk_button_box_set_child_ipadding ()

    void
    gtk_button_box_set_child_ipadding (GtkButtonBox *widget,
                                       gint ipad_x,
                                       gint ipad_y);

`gtk_button_box_set_child_ipadding` is deprecated and should not be used in newly-written code.

### gtk_button_box_set_child_secondary ()

    void
    gtk_button_box_set_child_secondary (GtkButtonBox *widget,
                                        GtkWidget *child,
                                        gboolean is_secondary);

Sets whether `child` should appear in a secondary group of children. A typical use of a secondary child is the help button in a dialog.

This group appears after the other children if the style is `GTK_BUTTONBOX_START`, `GTK_BUTTONBOX_SPREAD` or `GTK_BUTTONBOX_EDGE`, and before the other children if the style is `GTK_BUTTONBOX_END`. For horizontal button boxes, the definition of before/after depends on direction of the widget (see `gtk_widget_set_direction()`). If the style is `GTK_BUTTONBOX_START` or `GTK_BUTTONBOX_END`, then the secondary children are aligned at the other end of the button box from the main children. For the other styles, they appear immediately next to the main children.

#### Parameters

widget | a GtkButtonBox |
child | a child of `widget` |
is_secondary | if `TRUE`, the `child` appears in a secondary group of the button box. |

## Types and Values

### struct GtkButtonBox

    struct GtkButtonBox;

### GTK_BUTTONBOX_DEFAULT

    #define GTK_BUTTONBOX_DEFAULT -1

## Property Details

### The `“layout-style”` property

      “layout-style”             GtkButtonBoxStyle

How to lay out the buttons in the box. Possible values are: default, spread, edge, start and end.

Owner: GtkButtonBox

Flags: Read / Write

Default value: GTK_BUTTONBOX_DEFAULT_STYLE

## Child Property Details

### The `“secondary”` child property

      “secondary”                gboolean

If TRUE, the child appears in a secondary group of children, suitable for, e.g., help buttons.

Owner: GtkButtonBox

Flags: Read / Write

Default value: FALSE

## Style Property Details

### The `“child-internal-pad-x”` style property

      “child-internal-pad-x”     int

Amount to increase child's size on either side.

Owner: GtkButtonBox

Flags: Read

Allowed values: >= 0

Default value: 4

### The `“child-internal-pad-y”` style property

      “child-internal-pad-y”     int

Amount to increase child's size on the top and bottom.

Owner: GtkButtonBox

Flags: Read

Allowed values: >= 0

Default value: 0

### The `“child-min-height”` style property

      “child-min-height”         int

Minimum height of buttons inside the box.

Owner: GtkButtonBox

Flags: Read

Allowed values: >= 0

Default value: 27

### The `“child-min-width”` style property

      “child-min-width”          int

Minimum width of buttons inside the box.

Owner: GtkButtonBox

Flags: Read

Allowed values: >= 0

Default value: 85